### Name: somMde
### Title: Function to do SOM cluster analysis
### Aliases: somMde
### Keywords: hplot

### ** Examples

## Loading the dataset
data(gastro)

## Doing bootstrap from t statistic test fot 'Type' sample label, k=1000
## specifies one thousand bootstraps
gastro.ttest = deGenes2by2Ttest(gastro.summ, sLabelID="Type")

## SOM cluster with 2 groups adjusting p-values by FDR, and showing all genes
## with p-value < 0.05
somMde(gastro.ttest, sLabelID="Type", adjP="BH", nDEgenes=0.05,
       xdim=2, ydim=1, topol="rect")

## SOM cluster with 4 groups adjusting p-values by FDR, and showing all genes
## with p-value < 0.05
somMde(gastro.ttest, sLabelID="Type", adjP="BH", nDEgenes=0.05,
       xdim=2, ydim=2, topol="rect")



